const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Graphics)
    g: cc.Graphics = null;
    @property(cc.Node)
    board: cc.Node = null;

    start() {
        this.board.on(cc.Node.EventType.TOUCH_START, this.onTouchStart, this);
        this.board.on(cc.Node.EventType.TOUCH_MOVE, this.onTouchMove, this);
        let n = 55;
        let step = 500 / n;
        this.g.moveTo(0, 0);
        for (let i = 0; i < n; i++) {
            for (let j = 0; j < n; j++) {
                this.g.lineTo(i * step, j * step);
                this.g.stroke();
                this.g.moveTo(i * step, j * step);
            }
        }
    }

    onTouchStart(event: cc.Event.EventTouch) {
        this.g.moveTo(event.getLocation().x, event.getLocation().y);
    }

    onTouchMove(event) {
        let x = event.getLocation().x;
        let y = event.getLocation().y;
        this.g.lineTo(x, y);
        this.g.stroke();
        this.g.moveTo(x, y);
    }

    // update (dt) {}
}
